# Request processing of a file Request a processing of a file that was previously uploaded. The fileId in the request body is representing the identifier of the file that was returned by the upload endpoint. As a result of this request a document will be created and its identifier will be returned in the response. The projectId in the request body is an identifier of the project to create the document in. Endpoint: POST /documents/process-file Version: 2.51.0 Security: OAuth2 ## Request fields (application/json): - `fileId` (string, required) Example: "5349b4ddd2781d08c09890f4" - `projectId` (string, required) Example: "00000020f51bb4362eee2a4d" - `externalId` (string) External id of the file. Can be used if you want to link the file with an identifier in your system. Example: "doc-0001" - `externalData` (object) External data to be associated with the document. The data are provided as a flat JSON object. The properties of that object are case-insensitive. The maximum amount of properties is limited to 20. - `externalData.key1` (string) Example: "value1" - `externalData.key2` (string) Example: "value2" ## Response 202 fields (application/json): - `documentId` (string, required) Example: "6040dc9680b782b365ea77d5" - `fileId` (string, required) Example: "5349b4ddd2781d08c09890f4" - `projectId` (string, required) Example: "00000020f51bb4362eee2a4d" ## Response 400 fields (application/json): - `detail` (string, required) A human readable explanation of the error. - `status` (integer, required) The HTTP status code. - `title` (string, required) A short summary of the error ## Response 404 fields (application/json): - `detail` (string, required) A human readable explanation of the error. - `status` (integer, required) The HTTP status code. - `title` (string, required) A short summary of the error ## Response 429 fields